## org.mortbay.jetty.servlet
Class HashSessionManager.Session

    java.lang.Object
      org.mortbay.jetty.servlet.AbstractSessionManager.Session
          org.mortbay.jetty.servlet.HashSessionManager.Session

All Implemented Interfaces:
  Serializable, HttpSession, AbstractSessionManager.SessionIf

Enclosing class:
  HashSessionManager

    protected class HashSessionManager.Session

extends AbstractSessionManager.Session

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.AbstractSessionManager.Session
`_accessed, _clusterId, _cookieSet, _created, _doInvalidate, _idChanged, _invalid, _lastAccessed, _maxIdleMs, _newSession, _nodeId, _requests, _values`

Constructor Summary
`protected` `HashSessionManager.Session(HttpServletRequest request)`
`protected` `HashSessionManager.Session(long created, String clusterId)`

Method Summary
`void` `invalidate()`
`protected Map` `newAttributeMap()`
`void` `remove(String id)`
`void` `save(FileOutputStream fos)`
`void` `setMaxInactiveInterval(int secs)`

Methods inherited from class org.mortbay.jetty.servlet.AbstractSessionManager.Session

`access, bindValue, complete, cookieSet, didActivate, doInvalidate, getAttribute, getAttributeNames, getClusterId, getCookieSetTime, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getNodeId, getServletContext, getSession, getSessionContext, getValue, getValueNames, initValues, isIdChanged, isNew, isValid, putValue, removeAttribute, removeValue, setAttribute, setIdChanged, timeout, toString, unbindValue, willPassivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashSessionManager.Session

    protected HashSessionManager.Session(HttpServletRequest request)

### HashSessionManager.Session

    protected HashSessionManager.Session(long created,
                                         String clusterId)

Method Detail

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int secs)

  Specified by:
    `setMaxInactiveInterval` in interface `HttpSession`
  Overrides:
    `setMaxInactiveInterval` in class `AbstractSessionManager.Session`

### newAttributeMap

    protected Map newAttributeMap()

  Specified by:
    `newAttributeMap` in class `AbstractSessionManager.Session`

### invalidate

    public void invalidate()
                    throws IllegalStateException

  Specified by:
    `invalidate` in interface `HttpSession`
  Overrides:
    `invalidate` in class `AbstractSessionManager.Session`
  Throws:
    `IllegalStateException`

### remove

    public void remove(String id)

### save

    public void save(FileOutputStream fos)
              throws IOException

  Throws:
    `IOException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.